diff --git a/doc/src/sgml/fdwhandler.sgml b/doc/src/sgml/fdwhandler.sgml
index 2361577..569a22d 100644
--- a/doc/src/sgml/fdwhandler.sgml
+++ b/doc/src/sgml/fdwhandler.sgml
@@ -399,6 +399,13 @@ AddForeignUpdateTargets (Query *parsetree,
     </para>
 
     <para>
+     Note that <function>AddForeignUpdateTargets</> will not be called
+     for <command>INSERT</> operations with an <literal>ON CONFLICT DO
+     UPDATE</> clause.  Such <command>INSERT</> operations are
+     unsupported when a foreign table is targeted.
+    </para>
+
+    <para>
 <programlisting>
 List *
 PlanForeignModify (PlannerInfo *root,
